export interface ForeignLanguageSkillVO {
  /**
   * 序号
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string;

  /**
   * 语言等级
   */
  languageLevel: number;

  /**
   * 学期
   */
  semester: number;

  stuName: string;
}

export interface ForeignLanguageSkillForm extends BaseEntity {
  /**
   * 序号
   */
  id?: string | number;

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 语言等级
   */
  languageLevel?: number;

  /**
   * 学期
   */
  semester?: number;

  /**
   * 附件信息存放路径
   */
  experienceFilePath?: string;

  /**
   * 预留备注字段
   */
  remark?: string;

  stuName?: string;
}

export interface ForeignLanguageSkillQuery extends PageQuery {
  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 语言等级
   */
  languageLevel?: number;

  /**
   * 学期
   */
  semester?: number;

  /**
   * 附件信息存放路径
   */
  experienceFilePath?: string;

  /**
   * 日期范围参数
   */
  params?: any;

  stuName?: string;
}
