export interface StudentVO {
  /**
   * id
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string;

  /**
   * 学生姓名
   */
  stuName: string;

  /**
   * 学生年龄
   */
  age: number;

  /**
   * 性别
   */
  sex: number;

  /**
   * 所属校区
   */
  stuCampus: number;

  /**
   * 所属学院
   */
  faculties: number;

  /**
   * 专业
   */
  stuMajor: number;

  /**
   * 年级
   */
  stuGrade: string;

  /**
   * 班级名称
   */
  stuClass: string;

  /**
   * 学制
   */
  academic: number;

  /**
   * 培养层次
   */
  stuLevels: number;

  /**
   * 照片路径
   */
  imagePath: string;

  /**
   * 姓名拼音
   */
  pinyin: string;

  /**
   * 国籍
   */
  nationality: string;

  /**
   * 籍贯
   */
  origin: string;

  /**
   * 民族
   */
  ethnic: string;

  /**
   * 出生日期
   */
  birthTime: string;

  /**
   * 手机号码
   */
  phone: string;

  /**
   * 邮箱
   */
  email: string;

  /**
   * 特长
   */
  specialty: string;

  /**
   * 地址
   */
  address: string;

  /**
   * 导师
   */
  mintorId: string | number;
}

export interface StudentForm extends BaseEntity {
  /**
   * id
   */
  id?: string | number;

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 学生姓名
   */
  stuName?: string;

  /**
   * 学生年龄
   */
  age?: number;

  /**
   * 性别
   */
  sex?: number;

  /**
   * 所属校区
   */
  stuCampus?: number;

  /**
   * 所属学院
   */
  faculties?: number;

  /**
   * 专业
   */
  stuMajor?: number;

  /**
   * 年级
   */
  stuGrade?: string;

  /**
   * 班级名称
   */
  stuClass?: string;

  /**
   * 学制
   */
  academic?: number;

  /**
   * 培养层次
   */
  stuLevels?: number;

  /**
   * 照片路径
   */
  imagePath?: string;

  /**
   * 姓名拼音
   */
  pinyin?: string;

  /**
   * 国籍
   */
  nationality?: string;

  /**
   * 籍贯
   */
  origin?: string;

  /**
   * 民族
   */
  ethnic?: string;

  /**
   * 出生日期
   */
  birthTime?: string;

  /**
   * 手机号码
   */
  phone?: string;

  /**
   * 邮箱
   */
  email?: string;

  /**
   * 特长
   */
  specialty?: string;

  /**
   * 地址
   */
  address?: string;

  /**
   * 导师
   */
  mintorId?: string | number;
}

export interface StudentQuery extends PageQuery {
  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 学生姓名
   */
  stuName?: string;

  /**
   * 学生年龄
   */
  age?: number;

  /**
   * 性别
   */
  sex?: number;

  /**
   * 所属校区
   */
  stuCampus?: number;

  /**
   * 所属学院
   */
  faculties?: number;

  /**
   * 专业
   */
  stuMajor?: number;

  /**
   * 年级
   */
  stuGrade?: string;

  /**
   * 班级名称
   */
  stuClass?: string;

  /**
   * 学制
   */
  academic?: number;

  /**
   * 培养层次
   */
  stuLevels?: number;

  /**
   * 照片路径
   */
  imagePath?: string;

  /**
   * 姓名拼音
   */
  pinyin?: string;

  /**
   * 国籍
   */
  nationality?: string;

  /**
   * 籍贯
   */
  origin?: string;

  /**
   * 民族
   */
  ethnic?: string;

  /**
   * 出生日期
   */
  birthTime?: string;

  /**
   * 手机号码
   */
  phone?: string;

  /**
   * 邮箱
   */
  email?: string;

  /**
   * 特长
   */
  specialty?: string;

  /**
   * 地址
   */
  address?: string;

  /**
   * 导师
   */
  mintorId?: string | number;

  /**
   * 日期范围参数
   */
  params?: any;
}
