export interface StudentLeaderExperienceVO {
  /**
   * 序号
   */
  id: string | number;

  /**
   * 学生学号
   */
  stuNo: string;

  /**
   * 学期
   */
  semester: number;

  /**
   * 干部名称
   */
  leaderName: string;

  /**
   * 干部经历
   */
  leaderExperience: string;
  /**
   * 教师评价
   */
  teacherEvaluate: string;
  stuName: string;
}

export interface StudentLeaderExperienceForm extends BaseEntity {
  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 学期
   */
  semester?: number;
  /**
   * 干部名称
   */
  leaderName?: string;
  /**
   * 干部经历
   */
  leaderExperience?: string;
  /**
   * 教师评价
   */
  teacherEvaluate?: string;

  /**
   * 附件信息存放路径
   */
  experienceFilePath?: string;

  /**
   * 预留备注字段
   */
  remark?: string;

  stuName?: string;
}

export interface StudentLeaderExperienceQuery extends PageQuery {
  /**
   * 序号
   */
  id?: string | number;

  /**
   * 学生学号
   */
  stuNo?: string;

  /**
   * 学期
   */
  semester?: number;

  /**
   * 干部名称
   */
  leaderName?: string;

  /**
   * 干部经历
   */
  leaderExperience?: string;

  /**
   * 干部经历
   */
  teacherEvaluate?: string;

  /**
   * 附件信息存放路径
   */
  experienceFilePath?: string;

  /**
   * 预留备注字段
   */
  remark?: string;

  /**
   * 日期范围参数
   */
  params?: any;

  stuName?: string;
}
